<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::svm_struct_controller_node Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1svm__struct__controller__node.html">svm_struct_controller_node</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1svm__struct__controller__node-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::svm_struct_controller_node Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::svm_struct_controller_node:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1svm__struct__controller__node.png" usemap="#dlib::svm_5Fstruct_5Fcontroller_5Fnode_map" alt=""/>
  <map id="dlib::svm_5Fstruct_5Fcontroller_5Fnode_map" name="dlib::svm_5Fstruct_5Fcontroller_5Fnode_map">
<area href="classdlib_1_1noncopyable.html" alt="dlib::noncopyable" shape="rect" coords="0,0,194,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1svm__struct__controller__node_1_1invalid__problem.html">invalid_problem</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1svm__struct__controller__node_1_1problem__type.html">problem_type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a60d69cff01b16232f86aa630286f82ed"><td class="memItemLeft" align="right" valign="top"><a id="a60d69cff01b16232f86aa630286f82ed"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_cache_based_epsilon</b> () const</td></tr>
<tr class="separator:a60d69cff01b16232f86aa630286f82ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cfe35056094b5dfb5b473ca3c8421e2"><td class="memItemLeft" align="right" valign="top"><a id="a3cfe35056094b5dfb5b473ca3c8421e2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_cache_based_epsilon</b> (double eps_)</td></tr>
<tr class="separator:a3cfe35056094b5dfb5b473ca3c8421e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf6c947a92c913e503a0d38ea6b1b811"><td class="memItemLeft" align="right" valign="top"><a id="adf6c947a92c913e503a0d38ea6b1b811"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_epsilon</b> (double eps_)</td></tr>
<tr class="separator:adf6c947a92c913e503a0d38ea6b1b811"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a196194209cc5ad5a26f9945286b468eb"><td class="memItemLeft" align="right" valign="top"><a id="a196194209cc5ad5a26f9945286b468eb"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_epsilon</b> () const</td></tr>
<tr class="separator:a196194209cc5ad5a26f9945286b468eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bd238ec1272d5ff07c1ac8a6eb20763"><td class="memItemLeft" align="right" valign="top"><a id="a0bd238ec1272d5ff07c1ac8a6eb20763"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_max_iterations</b> () const</td></tr>
<tr class="separator:a0bd238ec1272d5ff07c1ac8a6eb20763"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cd12a5640b85b7d4935123ea8db5471"><td class="memItemLeft" align="right" valign="top"><a id="a3cd12a5640b85b7d4935123ea8db5471"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_max_iterations</b> (unsigned long max_iter)</td></tr>
<tr class="separator:a3cd12a5640b85b7d4935123ea8db5471"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53793f3d12956111980493e89b493fd7"><td class="memItemLeft" align="right" valign="top"><a id="a53793f3d12956111980493e89b493fd7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>be_verbose</b> ()</td></tr>
<tr class="separator:a53793f3d12956111980493e89b493fd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c71c2d30ef4ef12e42c93e10a4c04f8"><td class="memItemLeft" align="right" valign="top"><a id="a7c71c2d30ef4ef12e42c93e10a4c04f8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>be_quiet</b> ()</td></tr>
<tr class="separator:a7c71c2d30ef4ef12e42c93e10a4c04f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61db0c8c443acb21f662b8e7dfbcf59a"><td class="memItemLeft" align="right" valign="top"><a id="a61db0c8c443acb21f662b8e7dfbcf59a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_nuclear_norm_regularizer</b> (long first_dimension, long rows, long cols, double regularization_strength)</td></tr>
<tr class="separator:a61db0c8c443acb21f662b8e7dfbcf59a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a799f8060dfcdb56d6f20ecac3107586e"><td class="memItemLeft" align="right" valign="top"><a id="a799f8060dfcdb56d6f20ecac3107586e"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>num_nuclear_norm_regularizers</b> () const</td></tr>
<tr class="separator:a799f8060dfcdb56d6f20ecac3107586e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d20251f0aef03f77c455030c4093011"><td class="memItemLeft" align="right" valign="top"><a id="a0d20251f0aef03f77c455030c4093011"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clear_nuclear_norm_regularizers</b> ()</td></tr>
<tr class="separator:a0d20251f0aef03f77c455030c4093011"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99a505eab48244722037c6c14bc1d8dc"><td class="memItemLeft" align="right" valign="top"><a id="a99a505eab48244722037c6c14bc1d8dc"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_c</b> () const</td></tr>
<tr class="separator:a99a505eab48244722037c6c14bc1d8dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79cd604a208474dab9ff8f6bceaf308b"><td class="memItemLeft" align="right" valign="top"><a id="a79cd604a208474dab9ff8f6bceaf308b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_c</b> (double C_)</td></tr>
<tr class="separator:a79cd604a208474dab9ff8f6bceaf308b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0832c8d603c5d1e749a12f8d9f185a3"><td class="memItemLeft" align="right" valign="top"><a id="ac0832c8d603c5d1e749a12f8d9f185a3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_processing_node</b> (const <a class="el" href="structdlib_1_1network__address.html">network_address</a> &amp;addr)</td></tr>
<tr class="separator:ac0832c8d603c5d1e749a12f8d9f185a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acab2b2a7330880702e9cdf3ca3a54d57"><td class="memItemLeft" align="right" valign="top"><a id="acab2b2a7330880702e9cdf3ca3a54d57"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_processing_node</b> (const std::string &amp;ip_or_hostname, unsigned short port)</td></tr>
<tr class="separator:acab2b2a7330880702e9cdf3ca3a54d57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa6bb313ef39a87d0c7529d0102b1e72"><td class="memItemLeft" align="right" valign="top"><a id="afa6bb313ef39a87d0c7529d0102b1e72"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_processing_nodes</b> () const</td></tr>
<tr class="separator:afa6bb313ef39a87d0c7529d0102b1e72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38975e0ceedc971990f348e01f4fd847"><td class="memItemLeft" align="right" valign="top"><a id="a38975e0ceedc971990f348e01f4fd847"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_processing_nodes</b> ()</td></tr>
<tr class="separator:a38975e0ceedc971990f348e01f4fd847"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace2f4b851560fce3420bc560c3098dba"><td class="memTemplParams" colspan="2"><a id="ace2f4b851560fce3420bc560c3098dba"></a>
template&lt;typename matrix_type &gt; </td></tr>
<tr class="memitem:ace2f4b851560fce3420bc560c3098dba"><td class="memTemplItemLeft" align="right" valign="top">double&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator()</b> (const <a class="el" href="classdlib_1_1oca.html">oca</a> &amp;solver, matrix_type &amp;w) const</td></tr>
<tr class="separator:ace2f4b851560fce3420bc560c3098dba"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aa65d1afbef5d4ae3f6d1656d0cf300fe"><td class="memItemLeft" align="right" valign="top"><a id="aa65d1afbef5d4ae3f6d1656d0cf300fe"></a>
std::vector&lt; <a class="el" href="structdlib_1_1network__address.html">network_address</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>nodes</b></td></tr>
<tr class="separator:aa65d1afbef5d4ae3f6d1656d0cf300fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedacdee4b91393fd2c078edddeeb54be"><td class="memItemLeft" align="right" valign="top"><a id="aedacdee4b91393fd2c078edddeeb54be"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>eps</b></td></tr>
<tr class="separator:aedacdee4b91393fd2c078edddeeb54be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c6d2d94a080d5fa00572efe9b23a322"><td class="memItemLeft" align="right" valign="top"><a id="a8c6d2d94a080d5fa00572efe9b23a322"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>max_iterations</b></td></tr>
<tr class="separator:a8c6d2d94a080d5fa00572efe9b23a322"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27ed151647278dd8434fcbe96776523e"><td class="memItemLeft" align="right" valign="top"><a id="a27ed151647278dd8434fcbe96776523e"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>cache_based_eps</b></td></tr>
<tr class="separator:a27ed151647278dd8434fcbe96776523e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a505989b5dddaa8286d461692959dd349"><td class="memItemLeft" align="right" valign="top"><a id="a505989b5dddaa8286d461692959dd349"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>verbose</b></td></tr>
<tr class="separator:a505989b5dddaa8286d461692959dd349"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af56daa42e97a66f4bf12fc6886bcf927"><td class="memItemLeft" align="right" valign="top"><a id="af56daa42e97a66f4bf12fc6886bcf927"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>C</b></td></tr>
<tr class="separator:af56daa42e97a66f4bf12fc6886bcf927"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af07cb19ac7aa51ebd069ecab042f2c35"><td class="memItemLeft" align="right" valign="top"><a id="af07cb19ac7aa51ebd069ecab042f2c35"></a>
std::vector&lt; <a class="el" href="structdlib_1_1impl_1_1nuclear__norm__regularizer.html">impl::nuclear_norm_regularizer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>nuclear_norm_regularizers</b></td></tr>
<tr class="separator:af07cb19ac7aa51ebd069ecab042f2c35"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1noncopyable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1noncopyable')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a></td></tr>
<tr class="memitem:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1noncopyable.html#ac52d1076f79ef032f5ced545bd4cc4f9">noncopyable</a> ()</td></tr>
<tr class="separator:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="structural__svm__distributed_8h_source.html">structural_svm_distributed.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
